## NAME

g.copy - Copies available data files in the current mapset search path to the user's current mapset.

## KEYWORDS

general, map management

## SYNOPSIS

g.copy
g.copy --help
g.copy [raster=from,to] [raster_3d=from,to] [vector=from,to] [label=from,to] [region=from,to] [group=from,to] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

raster=from,to
  raster map(s) to be copied
raster_3d=from,to
  3D raster map(s) to be copied
vector=from,to
  vector map(s) to be copied
label=from,to
  paint label file(s) to be copied
region=from,to
  region definition(s) to be copied
group=from,to
  imagery group(s) to be copied

## DESCRIPTION

A user may access data stored under the other mapsets listed in their mapset search path. However, the user may only modify data stored under their own current mapset. g.copy allows the user to copy existing data files from other mapsets to the user's current mapset ($MAPSET). The files to be copied must exist in the user's current mapset search path and location; output is sent to the relevant data element directory(ies) under the user's current mapset.

## EXAMPLES

If the user wished to copy the existing raster file soils to a file called soils.ph and to copy an existing vector map roads to a file called rds.old, the user could type:

    g.copy raster=soils,soils.ph
    g.copy vector=roads,rds.old

    # or even combined:
    g.copy raster=soils,soils.ph vector=roads,rds.old

Data files can also be specified by their mapsets. For example, the below command copies the raster map named soils from the mapset wilson to a new file called soils to be placed under the user's current mapset:

    g.copy raster=soils@wilson,soils

If no mapset name is specified, g.copy searches for the named from map in each of the mapset directories listed in the user's current mapset search path in the order in which mapsets are listed there (see g.mapsets).

## SEE ALSO

g.access, g.list, g.mapsets, g.remove, g.rename

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

## SOURCE CODE

Available at: g.copy source code (history)

Accessed: unknown

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.7 Reference Manual